# MongoClient::listDBs

(PECL mongo >=1.3.0)

MongoClient::listDBs — Lists all of the databases available

This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension, but there is an alternative in the PHP library:

- » MongoDB\Client::listDatabases()

### Description

public MongoClient::listDBs ( void ) : array

### Parameters

This function has no parameters.

### Return Values

Returns an associative array containing three fields. The first field is databases, which in turn contains an array. Each element of the array is an associative array corresponding to a database, giving th database's name, size, and if it's empty. The other two fields are totalSize (in bytes) and ok, which is 1 if this method ran successfully.

### Examples

Example #1 MongoClient::listDBs() example

Example demonstrating how to use listDBs and the returned data structure.

`<?php
$mongo = new MongoClient();
$dbs = $mongo->listDBs();
print_r($dbs);
?>`

The above example will output something similar to:

    Array
    (
        [databases] => Array
            (
                [0] => Array
                    (
                        [name] => doctrine
                        [sizeOnDisk] => 218103808
                        [empty] =>
                    )
            )

        [totalSize] => 218103808
        [ok] => 1
    )